kdebindings-3.3.1 error

Randy McMurchy randy at linuxfromscratch.org
Thu Oct 14 16:37:48 PDT 2004


Jeremy Utley wrote:

> When trying to build the latest version of KDE-Bindings, I'm getting the
> following error:
>
> make[2]: Entering directory `/tmp/kdebindings-3.3.1/python'
> cd sip && export QTDIR=/usr/include/ && /usr/bin/python configure.py -b
> /opt/kde-3.3.1/bin -d /usr/lib/python2.3/site-packages -e `echo
> -I/usr/include/python2.3 | sed s/-I//` -v
> /opt/kde-3.3.1/share/sip/
> Error: This version of Qt seems to use tmake but the TMAKEPATH
> environment is not set.
> make[2]: *** [sipdone] Error 1

Just a wild guess, but that seems to be an odd definition for
your QTDIR variable. Seems like QTDIR should be just /usr for
you. (again, this is just a wild guess trying to help out)

This is from a recent build of mine (same spot in the build):

make[2]: Entering directory `/home/rml/build/kdebindings-3.3.0/python'
cd sip && export QTDIR=/opt/qt/ && /usr/bin/python configure.py -b
/opt/kde-3.3.0/bin -d /usr/lib/python2.3/site-packages -e `echo
-I/usr/include/python2.3 | sed s/-I//` -v
/opt/kde-3.3.0/share/sip/ -lqt-mt
This is SIP 4.0.1 for Python 2.3.4 on linux2.
The SIP code generator will be installed in /opt/kde-3.3.0/bin.
The SIP module will be installed in /usr/lib/python2.3/site-packages.
The SIP header file will be installed in /usr/include/python2.3.
The default directory to install .sip files in is /opt/kde-3.3.0/share/sip/.
Qt v3.3.3 free edition is being used.
The Qt header files are in /opt/qt//include.
The qt-mt Qt library is in /opt/qt//lib.
Qt's default platform/compiler configuration will be used.
Creating sipconfig.py...
Creating top level Makefile...
Creating sip code generator Makefile...
Creating sip module Makefile...





More information about the blfs-support mailing list